@echo off

set VERSION=6.0

if "%1" == "" goto error

setlocal

if not exist maestro.exe goto runbin

ren batchman.exe batchman.exe.orig
ren mailman.exe mailman.exe.orig
ren writer.exe writer.exe.orig
ren conman.exe conman.exe.orig
ren composer.exe composer.exe.orig
ren compiler.exe compiler.exe.orig
ren stageman.exe stageman.exe.orig
ren gconman.exe gconman.exe.orig
ren gcomposer.exe gcomposer.exe.orig
ren gconman.vr gconman.vr.orig
ren gcomposer.vr gcomposer.vr.orig
ren dbexpand.exe dbexpand.exe.orig
ren JOBMON.exe JOBMON.exe.orig
ren JOBMAN.exe JOBMAN.exe.orig
ren makecal.tcl makecal.tcl.orig
ren datecalc.exe datecalc.exe.orig

if not exist patch_60.exe goto nofile

cmd /c patch_60.exe 

if not exist setown.exe goto nosetown

setown -u %1 batchman.exe 
setown -u %1 mailman.exe 
setown -u %1 writer.exe 
setown -u %1 conman.exe 
setown -u %1 composer.exe 
setown -u %1 compiler.exe 
setown -u %1 stageman.exe 
setown -u %1 gconman.exe 
setown -u %1 gcomposer.exe 
setown -u %1 gconman.vr 
setown -u %1 gcomposer.vr 
setown -u %1 dbexpand.exe 
setown -u %1 JOBMON.exe 
setown -u %1 JOBMAN.exe 
setown -u %1 makecal.tcl 
setown -u %1 datecalc.exe

endlocal
goto done

:nofile
echo " Error finding patch_60.exe file"
echo " Please copy the file patch_60.exe and run again "
goto done

:runbin
echo " Error finding maestro.exe file"
echo " Please run this script in <maestro-home>\bin dir "
goto done


:nosetown
echo " Error finding setown.exe file"
echo " Not able to set ownership on files, Install Patch failed "
echo " Please run this script in <maestro-home>\bin dir "
goto done

:error
echo " Error username not specified "
echo " Usage: install_patch <maestro-user-name>"

:done
